<?php

/*
 * PuzzleApp
 * Webemyos
 * Jérôme Oliva
 * GNU Licence
 */

namespace Core\Entity\Langs;

use Core\Entity\Entity\Argument;
use Core\Entity\Entity\Entity;
use Core\Entity\Entity\EntityProperty;
use Core\Entity\Entity\Property;

//Class pour les elements multilangues
class LangsEntityElement extends Entity {

    protected $Lang;

    function __construct($core) {
        //Version
        $this->Version = "2.0.0.0";

        //Nom de la table
        $this->Core = $core;
        $this->TableName = "ee_lang_entity_element";
        $this->Alias = "lgel";

        //proprietes
        $this->EntityId = new Property("EntityId", "EntityId", NUMERICBOX, false, $this->Alias);
        $this->EntityName = new Property("EntityName", "EntityName", TEXTBOX, false, $this->Alias);
        $this->Title = new Property("Title", "Title", TEXTBOX, false, $this->Alias);
        $this->Description = new Property("Description", "Description", TEXTBOX, false, $this->Alias);
        $this->Content = new Property("Content", "Content", TEXTBOX, false, $this->Alias);
        
        $this->LangId = new Property("Lang", "LangId", NUMERICBOX, false, $this->Alias);
     
       
        //Creation de l'entité
        $this->Create();
    }
}